Skip to main content
PATCH
/
projects
/
{project_id}
/
insights
/
{insight_id}
Patch Insight Endpoint
curl --request PATCH \
  --url https://backend.overtenai.com/api/v1/projects/{project_id}/insights/{insight_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "is_resolved": true,
  "resolution_note": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Path Parameters

project_id
string
required
insight_id
string
required

Body

application/json
is_resolved
boolean | null
resolution_note
string | null
Maximum string length: 2000

Response

Successful Response